Package com.oracle.truffle.api.object

## Interface LongLocation

All Superinterfaces:
  `BaseLocation`, `TypedLocation`

All Known Subinterfaces:
  `LocationImpl.InternalLongLocation`

All Known Implementing Classes:
  `BasicLocations.LongArrayLocation`, `BasicLocations.LongFieldLocation`, `BasicLocations.LongLocationDecorator`, `BasicLocations.SimpleLongFieldLocation`

    public interface LongLocation
    extends TypedLocation

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getLong​(DynamicObject store, boolean condition)`
`long` `getLong​(DynamicObject store, Shape shape)`
`java.lang.Class<java.lang.Long>` `getType()` The type of this location.
`void` `setLong​(DynamicObject store, long value)`
`void` `setLong​(DynamicObject store, long value, Shape shape)`
`void` `setLong​(DynamicObject store, long value, Shape oldShape, Shape newShape)`

### Methods inherited from interface com.oracle.truffle.api.object.BaseLocation

`get, get, set, set, set`

### Method Detail

#### getLong

    long getLong​(DynamicObject store,
                 Shape shape)

See Also:
  `BaseLocation.get(DynamicObject, Shape)`

#### getLong

    long getLong​(DynamicObject store,
                 boolean condition)

See Also:
  `BaseLocation.get(DynamicObject, boolean)`

#### setLong

    void setLong​(DynamicObject store,
                 long value)
          throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object)`

#### setLong

    void setLong​(DynamicObject store,
                 long value,
                 Shape shape)
          throws FinalLocationException

Throws:
  `FinalLocationException`
See Also:
  `BaseLocation.set(DynamicObject, Object, Shape)`

#### setLong

    void setLong​(DynamicObject store,
                 long value,
                 Shape oldShape,
                 Shape newShape)

See Also:
  `BaseLocation.set(DynamicObject, Object, Shape, Shape)`

#### getType

    java.lang.Class<java.lang.Long> getType()

Description copied from interface: `TypedLocation`
The type of this location.

Specified by:
  `getType` in interface `TypedLocation`